Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
这是为什么? 怎么样才能查出原因?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese)
View previous topic :: View next topic  
Author Message
mathabstrction
n00b
n00b


Joined: 12 Aug 2012
Posts: 74

PostPosted: Thu Aug 16, 2012 10:01 pm    Post subject: 这是为什么? 怎么样才能查出原因? Reply with quote

GENTOO wu # emerge --update --newuse --deep world

* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "~x11-libs/qt-gui-4.8.2[aqua=,c++0x=,debug=,egl=,qpa=,qt3support=]".
!!! One of the following packages is required to complete your request:
- x11-libs/qt-gui-4.8.2::gentoo (Change USE: -qt3support)
- x11-libs/qt-opengl-4.8.2::gentoo (Change USE: +qt3support)
(dependency required by "x11-libs/qt-opengl-4.8.2" [installed])
(dependency required by "app-emulation/virtualbox-4.1.18[-headless,qt4,opengl]" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
Back to top
View user's profile Send private message
helio
Apprentice
Apprentice


Joined: 08 Apr 2006
Posts: 158

PostPosted: Sun Aug 19, 2012 7:57 am    Post subject: Reply with quote

The fix is straightforward. Just add the following two lines

x11-libs/qt-gui -qt3support
x11-libs/qt-opengl qt3support

to your /etc/portage/package.use file and re-emerge.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum